<?php
/**
 * Adodis Blog package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2012 - 2013 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/

defined('_JEXEC') or die;

// Include dependancies
jimport('joomla.application.component.controller');
require_once JPATH_COMPONENT.'/helpers/route.php';

// Joomla redefiend function for tooltip
JHtml::_('behavior.tooltip');

// Include css files for style
$document	= JFactory::getDocument();
$path		= JURI::root()."components/com_adodisblog/assets/css/style.css";
$document->addStyleSheet($path);

//include Java Script
JHtml::_('script','components/com_adodisblog/assets/js/jsblock.js', false);
JHtml::_('script','components/com_adodisblog/assets/js/validate.js', false);

// Execute the task.
$controller	= JController::getInstance('AdodisBlog');
$controller->execute(JRequest::getVar('task',''));
$controller->redirect();
